Get User Groups (all)
GET /v1/usergroups/{deviceId}/all
Gets all user groups for a given VAKA system.
Headers
Authorization
Bearer <token>
x-api-key
<api key>
Parameters
deviceId string(uuid) path parameter (required)
Identifier of the VAKA system to get user groups from.
pageSize int32 query parameter (optional)
The maximum number of user groups to return. Default page size is 50, maximum allowed page size is 100.
continuationToken (string) query parameter (optional)
Token returned in a previous response that can be used to return the next page of user groups.
Response
200 OK
A list containing details about each user group.
Body
userGroups array of UserGroup objects
A list of UserGroup objects.
Show UserGroup attributes
Represents an user group.
id string(uuid)
Unique identifier of the user group.
name string
Name of the user group, typically used for presentation purposes.
apartmentId string
Apartment number associated to the user group. Typically used when the user group represents an apartment.
referenceId string
Reference identifier associated to the user group. Typically used as an external identifier.
deviceId string(uuid)
Identifier of the VAKA system the user group belongs to.
continuationToken string
A token that can be used in subsequent request to fetch the next page of user groups, or null if there is no more user groups to get.
Last updated